Subject: Re: bug#17229: [PATCH 2/2] grep: speed-up by using memchr() in Boyer-Moore searching

From: Jim Meyering <[email-masked]>
Date: Sun, 27 Apr 2014 21:05:32 -0700

On Sun, Apr 27, 2014 at 1:32 PM, Paul Eggert <[email-masked]> wrote:
> Anyway, an 18% speedup is still a speedup, so I looked into it.  GCC 4.9.0
> misses a non-obvious opportunity for function inlining.  I installed a tweak
> (attached) that should make the inlining opportunity obvious to compilers
> nowadays.  On my platform this gave a 28% speedup, i.e., a bit better than
> the macro-using patch would have.

Very nice.  I measured a 34% improvement on an i7-3615QM with -O2 and
gcc built from git (4.10.0 20140424)